Subject: bug#32395: closed (Re: bug#32395: 26.1; generated autoloads includes string properties if buffer is open)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Aug 2018 14:11:02 +0000

Your bug report

#32395: 26.1; generated autoloads includes string properties if buffer is open

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32395: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32395
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32395: 26.1; generated autoloads includes string properties if buffer is open
From: Eli Zaretskii <[email-masked]>
To: Allen Li <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Aug 2018 17:10:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Allen Li <[email-masked]>
> Date: Sat, 11 Aug 2018 02:49:30 -0700
> Cc: [email-masked]
> 
> > Can you tell more about the use case where you see this?  Does this
> > happen when the autoload files in the Emacs tree are generated?
> 
> I use update-directory-autoloads to generate autoloads for personal
> Emacs Lisp files.  The text changes depending on whether I have a
> buffer open for any of said files, which is annoying as I have the
> autoload file under source version control.  If I edit one file and
> update autoloads, it will create a number of unrelated changes in
> version control, depending on whether I have any other files open in
> buffers or not.
> 
> I don't see why there is a need to preserve the text properties of the
> package prefix in the autoload file, only when the file for which
> autoloads are being generated is open in a buffer.  That seems like
> very silly behavior to me and I would fix it on principle even if it
> were not affecting my work flow.

Thanks, I've pushed your changes to the master branch.  If as result
you no longer think of Emacs as being silly, we all win.

Subject: 26.1; generated autoloads includes string properties if buffer is open
From: Allen Li <[email-masked]>
To: [email-masked]
Date: Wed, 8 Aug 2018 00:09:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The autoload generation code inserts a form with a string that may or
may not have text properties, depending on if the buffer is already
open.

(if (fboundp 'register-definition-prefixes)
             (register-definition-prefixes "foo"
                                           '(#("foo-" 0 4 (fontified nil)))))

(if (fboundp 'register-definition-prefixes)
             (register-definition-prefixes "foo" '("foo-")))

This makes autoload generation depend on the odd condition of whether
the file under consideration is already open and fontified.

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-07-05 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12000000

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LIBSYSTEMD LCMS2